
QGIS Application - Bug report #10205

Size of markers in marker line broken in master

2014-05-07 05:54 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18651

Description

0575c71f2c884a638cd3656a539fc7ce65a26671 has broken marker line support. Steps to reproduce:

1. Try and style a layer with a marker line. Initial style preview looks ok

2. Apply the style to the layer and close the properties dialog - nothing is rendered for the layer

3. Open the layer properties - the size of the markers in the marker line is set to a huge number markers are not rendered

History

#1 - 2014-05-08 01:31 AM - Mathieu Pellerin - nIRV

I confirm, it's a serious regression.

#2 - 2014-05-08 05:16 AM - Giovanni Manghi

- Target version set to Version 2.4

- Category set to Symbology

maybe it is just another incarnation of the issue that broke graduated/categorized symbology in qgis master.

#3 - 2014-06-09 05:41 AM - Martin Dobias

- Status changed from Open to Feedback

I cannot confirm with current master on linux. I use single symbol renderer with default marker line symbol and the layer rendering worked as expected.

Could you please try again if it is still a problem and possibly provide more detailed steps to reproduce?

#4 - 2014-06-09 05:46 AM - Giovanni Manghi

Martin Dobias wrote:

I cannot confirm with current master on linux.

seems ok also on master/win
#5 - 2014-06-09 03:36 PM - Nyall Dawson

- Status changed from Feedback to Closed

This was fixed in 21249c3.
